.hce-pagination {
  // text-align: center;
  margin-top: nhsuk-spacing(2);

  @include mq($from: "desktop") {
    // Alignment adjustments
    margin-left: -nhsuk-spacing(1);
    margin-right: -nhsuk-spacing(1);

    // Hide whitespace between elements
    font-size: 0;

    // Trick to remove the need for floats
    text-align: justify;

    &:after {
      content: "";
      display: inline-block;
      width: 100%;
    }
  }
}

.hce-pagination__list {
  list-style: none;
  margin: 0;
  padding: 0;

  @include mq($from: "desktop") {
    display: inline-block;
    margin-bottom: 0;
    vertical-align: middle;
  }
}

.hce-pagination__results {
  @include nhsuk-font(19);
  margin-top: 0;
  @include mq($from: "desktop") {
    display: inline-block;
    margin-bottom: 0;
    vertical-align: middle;
  }
}

.hce-pagination__item {
  @include nhsuk-font(19);
  display: inline-block;
}

.hce-pagination__item--active,
.hce-pagination__item--dots {
  font-weight: bold;
  height: 25px;
  padding: nhsuk-spacing(1) nhsuk-spacing(2);
  text-align: center;
}

.hce-pagination__item--dots {
  padding-left: 0;
  padding-right: 0;
}

.hce-pagination__item--prev .hce-pagination__link:before,
.hce-pagination__item--next .hce-pagination__link:after {
  display: inline-block;
  height: 10px;
  width: 10px;
  border-style: solid;
  color: nhsuk-colour("black");
  background: transparent;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
  content: "";
}

.hce-pagination__item--prev .hce-pagination__link:before {
  border-width: 3px 0 0 3px;
  margin-right: nhsuk-spacing(1);
}

.hce-pagination__item--next .hce-pagination__link:after {
  border-width: 0 3px 3px 0;
  margin-left: nhsuk-spacing(1);
}

.hce-pagination__link {
  display: block;
  padding: nhsuk-spacing(1);
  text-align: center;
  text-decoration: none;
  min-width: 25px;

  &:link,
  &:visited {
    color: $nhsuk-link-colour;
  }

  &:hover {
    color: nhsuk-tint($nhsuk-link-colour, 25);
  }

  &:focus {
    color: nhsuk-colour("black");
  }
}

.hce-pagination__results {
  padding: nhsuk-spacing(1);
}
